VESPA-DOCUMENT-GET(1)

NAME
vespa-document-get - Gets one or more documents

SYNOPSIS
vespa document get id(s) [flags]

DESCRIPTION
Gets one or more documents

OPTIONS
-d, --data=""
    Document data to use instead of reading from file or stdin

--field-set=""
    Fields to include when reading document

--header=[]
    Add a header to the HTTP request, on the format 'Header: Value'. This can be specified multiple times

-h, --help[=false]
    help for get

--ignore-missing[=false]
    Do not treat non-existent document as an error

-T, --timeout=60
    Timeout for the document request in seconds

-v, --verbose[=false]
    Print the equivalent curl command for the document operation

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa document get id:mynamespace:music::song-1
    $ vespa document get id:mynamespace:music::song-1 id:mynamespace:music::song-2

SEE ALSO
vespa-document(1)